/*
 * Class SED_BASIC_SERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_388 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_388 [] = {0xFF01,1551,387,0xFFFF};
static const EIF_TYPE_INDEX egt_2_388 [] = {0xFF01,387,0xFFFF};
static const EIF_TYPE_INDEX egt_3_388 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_388 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_388 [] = {0xFF01,387,0xFFFF};
static const EIF_TYPE_INDEX egt_6_388 [] = {0xFF01,387,0xFFFF};
static const EIF_TYPE_INDEX egt_7_388 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_388 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_388 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_388 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_388 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_388 [] = {0xFF01,387,0xFFFF};
static const EIF_TYPE_INDEX egt_13_388 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_388 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_15_388 [] = {0xFF01,560,0xFFFF};
static const EIF_TYPE_INDEX egt_16_388 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_17_388 [] = {0xFF01,348,0xFFFF};
static const EIF_TYPE_INDEX egt_18_388 [] = {0xFF01,612,0xFFFF};
static const EIF_TYPE_INDEX egt_19_388 [] = {0xFF01,349,0xFFFF};
static const EIF_TYPE_INDEX egt_20_388 [] = {0xFF01,350,0xFFFF};


static const struct desc_info desc_388[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_388), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_388), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_388), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_388), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_388), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_388), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_388), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_388), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_388), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_388), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_388), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_388), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0307 /*387*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_388), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_388), 6714, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_388), 6807, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6809, 20},
	{EIF_GENERIC(NULL), 6810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6811, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_388), 6815, 4},
	{EIF_GENERIC(egt_16_388), 6816, 8},
	{EIF_GENERIC(egt_17_388), 6817, 12},
	{EIF_GENERIC(egt_18_388), 6818, 16},
	{EIF_GENERIC(egt_19_388), 6819, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_388), 6820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6821, 24},
	{EIF_GENERIC(NULL), 6778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6780, 21},
	{EIF_GENERIC(NULL), 6822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6782, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6783, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6784, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6785, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6787, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6797, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6799, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6803, 0xFFFFFFFF},
};
void Init388(void)
{
	IDSC(desc_388, 0, 387);
	IDSC(desc_388 + 1, 1, 387);
	IDSC(desc_388 + 32, 971, 387);
	IDSC(desc_388 + 37, 570, 387);
}


#ifdef __cplusplus
}
#endif
